import dynamix_sdk.base as _base


class CloudbrokerUserBlockResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerUserBlockProtocol(_base.BasePostAPIFunctionProtocol):
    def block(
        self,
        *,
        user_name: str,
    ) -> CloudbrokerUserBlockResultBool:
        ...
